org.apache.lucene.benchmark.byTask.tasks

## Class BenchmarkHighlighter

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.BenchmarkHighlighter

-     public abstract class BenchmarkHighlighter
      extends Object

  Abstract class for benchmarking highlighting performance

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BenchmarkHighlighter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `doHighlight(IndexReader reader, int doc, String field, Document document, Analyzer analyzer, String text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BenchmarkHighlighter

          public BenchmarkHighlighter()

  - ### Method Detail

    - #### doHighlight

          public abstract int doHighlight(IndexReader reader,
                        int doc,
                        String field,
                        Document document,
                        Analyzer analyzer,
                        String text)
                                   throws Exception

      Throws:
        `Exception`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.